Package com.emc.documentum.rest.model

# Class HomeDocument.Resource

java.lang.Object
com.emc.documentum.rest.model.HomeDocument.Resource

Enclosing class:
  HomeDocument

public static class HomeDocument.Resource extends Object
Resource in Home Document

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Resource(String rel, String href, boolean isTemplate, List<String> allowedHttpMethods, List<String> supportedRepresentations)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAllowedHttpMethods()`
  Get allowed http methods
  `String`
  `getHref()`
  Get href
  `String`
  `getRel()`
  Get relation
  `List<String>`
  `getSupportedRepresentations()`
  Get supported representations
  `boolean`
  `isTemplate()`
  Mark if the href is template

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Resource

    public Resource(String rel, String href, boolean isTemplate, List<String> allowedHttpMethods, List<String> supportedRepresentations)
    Constructor
    Parameters:
      `rel` - relation
      `href` - href
      `isTemplate` - href template or not
      `allowedHttpMethods` - allowed http methods
      `supportedRepresentations` - supported representations

- ## Method Details

  - ### getRel

    public String getRel()
    Get relation
    Returns:
      relation

  - ### getHref

    public String getHref()
    Get href
    Returns:
      href

  - ### getAllowedHttpMethods

    public List<String> getAllowedHttpMethods()
    Get allowed http methods
    Returns:
      allowed http methods

  - ### getSupportedRepresentations

    public List<String> getSupportedRepresentations()
    Get supported representations
    Returns:
      supported representations

  - ### isTemplate

    public boolean isTemplate()
    Mark if the href is template
    Returns:
      `true` if href is template